POST api/PatientMedications
Creates a new patient medication or updates an existent patient medication's information.
Request Information
URI Parameters
None.
Body Parameters
PatientMedicationUpdateModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the medication (Required). |
string |
None. |
| Instructions |
Instructions of the medication (Required). |
string |
None. |
| PatientExternalId |
Patient externalId in the integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor ID in the integrating system. |
string |
None. |
| Active |
Patient medication active. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"name": "sample string 1",
"instructions": "sample string 2",
"patientExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"active": true,
"id": "9025147f-b208-41fd-8b5a-c0833403aff5",
"externalId": "sample string 7"
}
application/xml, text/xml
<PatientMedicationUpdateModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientMedications"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">9025147f-b208-41fd-8b5a-c0833403aff5</Id> <Active>true</Active> <DoctorExternalId>sample string 4</DoctorExternalId> <Instructions>sample string 2</Instructions> <Name>sample string 1</Name> <PatientExternalId>sample string 3</PatientExternalId> </PatientMedicationUpdateModel>
application/x-www-form-urlencoded
Response Information
Resource Description
PatientMedicationUpdateModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the medication (Required). |
string |
None. |
| Instructions |
Instructions of the medication (Required). |
string |
None. |
| PatientExternalId |
Patient externalId in the integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor ID in the integrating system. |
string |
None. |
| Active |
Patient medication active. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"name": "sample string 1",
"instructions": "sample string 2",
"patientExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"active": true,
"id": "2a544ca2-d892-4d64-8c8d-b35d70e90118",
"externalId": "sample string 7"
}
application/xml, text/xml
<PatientMedicationUpdateModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientMedications"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">2a544ca2-d892-4d64-8c8d-b35d70e90118</Id> <Active>true</Active> <DoctorExternalId>sample string 4</DoctorExternalId> <Instructions>sample string 2</Instructions> <Name>sample string 1</Name> <PatientExternalId>sample string 3</PatientExternalId> </PatientMedicationUpdateModel>